|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
FAULT_s Struct Reference
Fault Monitor » Generic Fault Driver

Collection of faults to be monitored. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/sources/fault/fault_typedef.h>`

Collaboration diagram for FAULT_s:

## Data Fields
FAULT_OBJ_T | IPrimaryOCP
| Fault object for Primary over current protection.
FAULT_OBJ_T | ISecondaryOCP
| Fault object for Secondary over current protection.
FAULT_OBJ_T | VPrimaryOVP
| Fault object for Primary over voltage protection.
FAULT_OBJ_T | VPrimaryUVP
| Fault object for Primary under voltage protection.
FAULT_OBJ_T | VSecondaryOVP
| Fault object for Secondary over voltage protection.
FAULT_OBJ_T | VSecondaryUVP
| Fault object for Secondary under voltage protection.
FAULT_OBJ_T | ISenseSCP
| Fault object for Short circuit protection.
FAULT_OBJ_T | PowerSupplyOTP
| Fault object for Power Supply Temperature.
FAULT_OBJ_T | VRail_5V
| Fault object for 5V rail.

## Detailed Description

This data structure in a collection of fault data objects that needs to be monitored by the fault tasks.

Definition at line 20 of file fault_typedef.h.

## Field Documentation

## ◆ IPrimaryOCP

FAULT_OBJ_T IPrimaryOCP

Definition at line 22 of file fault_typedef.h.

## ◆ ISecondaryOCP

FAULT_OBJ_T ISecondaryOCP

Definition at line 23 of file fault_typedef.h.

## ◆ ISenseSCP

FAULT_OBJ_T ISenseSCP

Definition at line 28 of file fault_typedef.h.

## ◆ PowerSupplyOTP

FAULT_OBJ_T PowerSupplyOTP

Definition at line 29 of file fault_typedef.h.

## ◆ VPrimaryOVP

FAULT_OBJ_T VPrimaryOVP

Definition at line 24 of file fault_typedef.h.

## ◆ VPrimaryUVP

FAULT_OBJ_T VPrimaryUVP

Definition at line 25 of file fault_typedef.h.

## ◆ VRail_5V

FAULT_OBJ_T VRail_5V

Definition at line 30 of file fault_typedef.h.

## ◆ VSecondaryOVP

FAULT_OBJ_T VSecondaryOVP

Definition at line 26 of file fault_typedef.h.

## ◆ VSecondaryUVP

FAULT_OBJ_T VSecondaryUVP

Definition at line 27 of file fault_typedef.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/sources/fault/fault_typedef.h